Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.console.manager.interfaces.impl
Class GraphMBeanAttributeAction.MBeanXYDataset

    java.lang.Object
      org.jfree.data.AbstractDataset
          org.jfree.data.AbstractSeriesDataset
              org.jfree.data.AbstractXYDataset
                  org.jboss.console.manager.interfaces.impl.GraphMBeanAttributeAction.MBeanXYDataset

All Implemented Interfaces:
  Cloneable, org.jfree.data.Dataset, EventListener, ObjectInputValidation, Serializable, org.jfree.data.SeriesChangeListener, org.jfree.data.SeriesDataset, org.jfree.data.XYDataset

Enclosing class:
  GraphMBeanAttributeAction

public class GraphMBeanAttributeAction.MBeanXYDataset
extends org.jfree.data.AbstractXYDataset

See Also:
  Serialized Form

Constructor Summary
`GraphMBeanAttributeAction.MBeanXYDataset()` Default constructor.

Method Summary
`void` | `add(Object num)`
`void` | `clear()`
`int` | `getItemCount(int series)` Returns the number of items in the specified series.
`int` | `getSeriesCount()` Returns the number of series in the dataset.
`String` | `getSeriesName(int series)` Returns the name of the series.
`Number` | `getXValue(int series, int item)` Returns the x-value for the specified series and item.
`Number` | `getYValue(int series, int item)` Returns the y-value for the specified series and item.

Methods inherited from class org.jfree.data.AbstractXYDataset
`getX, getY`

Methods inherited from class org.jfree.data.AbstractSeriesDataset
`seriesChanged`

Methods inherited from class org.jfree.data.AbstractDataset
`addChangeListener, clone, fireDatasetChanged, getGroup, notifyListeners, removeChangeListener, setGroup, validateObject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.data.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Constructor Detail

### GraphMBeanAttributeAction.MBeanXYDataset

    public GraphMBeanAttributeAction.MBeanXYDataset()

  Default constructor.

Method Detail

### clear

    public void clear()

### add

    public void add(Object num)

### getXValue

    public Number getXValue(int series,
                            int item)

  Returns the x-value for the specified series and item. Series are numbered 0, 1, ...

  Parameters:
    `series` - the index (zero-based) of the series.
    `item` - the index (zero-based) of the required item.
  Returns:
    the x-value for the specified series and item.

### getYValue

    public Number getYValue(int series,
                            int item)

  Returns the y-value for the specified series and item. Series are numbered 0, 1, ...

  Parameters:
    `series` - the index (zero-based) of the series.
    `item` - the index (zero-based) of the required item.
  Returns:
    the y-value for the specified series and item.

### getSeriesCount

    public int getSeriesCount()

  Returns the number of series in the dataset.

  Returns:
    the number of series in the dataset.

### getSeriesName

    public String getSeriesName(int series)

  Returns the name of the series.

  Parameters:
    `series` - the index (zero-based) of the series.
  Returns:
    the name of the series.

### getItemCount

    public int getItemCount(int series)

  Returns the number of items in the specified series.

  Parameters:
    `series` - the index (zero-based) of the series.
  Returns:
    the number of items in the specified series.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.